%global srcname pylru
%global _description %{expand:Pylru implements a true LRU cache along with several support classes. The cache
is efficient and written in pure Python. It works with Python 2.6+ including the
3.x series. Basic operations (lookup, insert, delete) all run in a constant
amount of time. Pylru provides a cache class with a simple dict interface. It
also provides classes to wrap any object that has a dict interface with a
cache. Both write-through and write-back semantics are supported. Pylru also
provides classes to wrap functions in a similar way, including a function
decorator.}

Name:           python-%{srcname}
Version:        1.2.1
Release:        1%{?dist}
Summary:        A least recently used (LRU) cache for Python

License:        GPL-2.0-or-later
URL:            https://github.com/jlhutch/%{srcname}/
Source0:        %{url}archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildArch:      noarch

%description
%{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitelib} %{python3} test.py


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt


%changelog
* Mon Jan 02 2023 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.1-1
- Initial RPM release
